Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
b2Draw Class Referenceabstract

`#include <b2Draw.h>`

## Public Types
enum | { e_shapeBit = 0x0001, e_jointBit = 0x0002, e_aabbBit = 0x0004, e_pairBit = 0x0008, e_centerOfMassBit = 0x0010 }

## Public Member Functions
| b2Draw ()
virtual | ~b2Draw ()
void | SetFlags (uint32 flags)
| Set the drawing flags. More...
uint32 | GetFlags () const
| Get the drawing flags. More...
void | AppendFlags (uint32 flags)
| Append flags to the current flags. More...
void | ClearFlags (uint32 flags)
| Clear flags from the current flags. More...
virtual void | DrawPolygon (const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0
| Draw a closed polygon provided in CCW order. More...
virtual void | DrawSolidPolygon (const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0
| Draw a solid closed polygon provided in CCW order. More...
virtual void | DrawCircle (const b2Vec2 &center, float32 radius, const b2Color &color)=0
| Draw a circle. More...
virtual void | DrawSolidCircle (const b2Vec2 &center, float32 radius, const b2Vec2 &axis, const b2Color &color)=0
| Draw a solid circle. More...
virtual void | DrawSegment (const b2Vec2 &p1, const b2Vec2 &p2, const b2Color &color)=0
| Draw a line segment. More...
virtual void | DrawTransform (const b2Transform &xf)=0

## Protected Attributes
uint32 | m_drawFlags

## Detailed Description

Implement and register this class with a b2World to provide debug drawing of physics entities in your game.

## Member Enumeration Documentation

anonymous enum

Enumerator
e_shapeBit | draw shapes
e_jointBit | draw joint connections
e_aabbBit | draw axis aligned bounding boxes
e_pairBit | draw broad-phase pairs
e_centerOfMassBit | draw center of mass frame

## Constructor & Destructor Documentation

b2Draw | ( |  | ) |

virtual ~b2Draw | ( |  | ) |
| inline virtual

## Member Function Documentation

void AppendFlags | ( | uint32 | flags | ) |

Append flags to the current flags.

void ClearFlags | ( | uint32 | flags | ) |

Clear flags from the current flags.

virtual void DrawCircle | ( | const b2Vec2 & | center,
|  | float32 | radius,
|  | const b2Color & | color
| ) |  |
| pure virtual

Draw a circle.

virtual void DrawPolygon | ( | const b2Vec2 * | vertices,
|  | int32 | vertexCount,
|  | const b2Color & | color
| ) |  |
| pure virtual

Draw a closed polygon provided in CCW order.

virtual void DrawSegment | ( | const b2Vec2 & | p1,
|  | const b2Vec2 & | p2,
|  | const b2Color & | color
| ) |  |
| pure virtual

Draw a line segment.

virtual void DrawSolidCircle | ( | const b2Vec2 & | center,
|  | float32 | radius,
|  | const b2Vec2 & | axis,
|  | const b2Color & | color
| ) |  |
| pure virtual

Draw a solid circle.

virtual void DrawSolidPolygon | ( | const b2Vec2 * | vertices,
|  | int32 | vertexCount,
|  | const b2Color & | color
| ) |  |
| pure virtual

Draw a solid closed polygon provided in CCW order.

virtual void DrawTransform | ( | const b2Transform & | xf | ) |
| pure virtual

Draw a transform. Choose your own length scale.

Parameters

  xf | a transform.

uint32 GetFlags | ( |  | ) | const

Get the drawing flags.

void SetFlags | ( | uint32 | flags | ) |

Set the drawing flags.

## Member Data Documentation

uint32 m_drawFlags
| protected

The documentation for this class was generated from the following files:

- Box2D/Common/b2Draw.h
- Box2D/Common/b2Draw.cpp